- page_title       @user.name
- page_description @user.bio
- content_for :page_specific_javascripts do
  = page_specific_javascript_bundle_tag('common_d3')
  = page_specific_javascript_bundle_tag('users')
- header_title     @user.name, user_path(@user)
- @no_container = true

= content_for :meta_tags do
  = auto_discovery_link_tag(:atom, user_url(@user, format: :atom), title: "#{@user.name}活动")

.user-profile
  .cover-block.user-cover-block
    .cover-controls
      - if @user == current_user
        = link_to profile_path, class: 'btn btn-gray has-tooltip', title: '编辑个人资料', 'aria-label': '编辑个人资料' do
          = icon('pencil')
      - elsif current_user
        - if @user.abuse_report
          %button.btn.btn-danger{ title: '已被举报',
            data: { toggle: 'tooltip', placement: 'bottom', container: 'body' } }
            = icon('exclamation-circle')
        - else
          = link_to new_abuse_report_path(user_id: @user.id, ref_url: request.referrer), class: 'btn btn-gray',
            title: '举报滥用', data: { toggle: 'tooltip', placement: 'bottom', container: 'body' } do
            = icon('exclamation-circle')
      = link_to user_path(@user, rss_url_options), class: 'btn btn-gray has-tooltip', title: '订阅', 'aria-label': '订阅' do
        = icon('rss')
      - if current_user && current_user.admin?
        = link_to [:admin, @user], class: 'btn btn-gray', title: '在管理区域查看用户信息',
          data: {toggle: 'tooltip', placement: 'bottom', container: 'body'} do
          = icon('users')

    .profile-header
      .avatar-holder
        = link_to avatar_icon(@user, 400), target: '_blank', rel: 'noopener noreferrer' do
          = image_tag avatar_icon(@user, 90), class: "avatar s90", alt: ''

      .user-info
        .cover-title
          = @user.name

        .cover-desc.member-date
          %span.middle-dot-divider
            @#{@user.username}
          %span.middle-dot-divider
            注册时间： #{@user.created_at.to_date.to_s(:long)}

        .cover-desc
          - unless @user.public_email.blank?
            .profile-link-holder.middle-dot-divider
              = link_to @user.public_email, "mailto:#{@user.public_email}"
          - unless @user.skype.blank?
            .profile-link-holder.middle-dot-divider
              = link_to "skype:#{@user.skype}", title: "Skype" do
                = icon('skype')
          - unless @user.linkedin.blank?
            .profile-link-holder.middle-dot-divider
              = link_to "https://www.linkedin.com/in/#{@user.linkedin}", title: "领英" do
                = icon('linkedin-square')
          - unless @user.twitter.blank?
            .profile-link-holder.middle-dot-divider
              = link_to "https://twitter.com/#{@user.twitter}", title: "推特" do
                = icon('twitter-square')
          - unless @user.website_url.blank?
            .profile-link-holder.middle-dot-divider
              = link_to @user.short_website_url, @user.full_website_url
          - unless @user.location.blank?
            .profile-link-holder.middle-dot-divider
              = icon('map-marker')
              = @user.location
          - unless @user.organization.blank?
            .profile-link-holder.middle-dot-divider
              = icon('building')
              = @user.organization

    - if @user.bio.present?
      .cover-desc
        %p.profile-user-bio
          = @user.bio

    .scrolling-tabs-container
      .fade-left= icon('angle-left')
      .fade-right= icon('angle-right')
      %ul.nav-links.center.user-profile-nav.scrolling-tabs
        %li.js-activity-tab
          = link_to user_path, data: {target: 'div#activity', action: 'activity', toggle: 'tab'} do
            活动
        %li.js-groups-tab
          = link_to user_groups_path, data: {target: 'div#groups', action: 'groups', toggle: 'tab'} do
            群组
        %li.js-contributed-tab
          = link_to user_contributed_projects_path, data: {target: 'div#contributed', action: 'contributed', toggle: 'tab'} do
            贡献项目
        %li.js-projects-tab
          = link_to user_projects_path, data: {target: 'div#projects', action: 'projects', toggle: 'tab'} do
            个人项目
        %li.js-snippets-tab
          = link_to user_snippets_path, data: {target: 'div#snippets', action: 'snippets', toggle: 'tab'} do
            代码片段

  %div{ class: container_class }
    - if @user == current_user && !show_user_callout?
      = render 'shared/user_callout'
    .tab-content
      #activity.tab-pane
        .row-content-block.calender-block.white.second-block.hidden-xs
          .user-calendar{ data: { href: user_calendar_path } }
            %h4.center.light
              %i.fa.fa-spinner.fa-spin
          .user-calendar-activities

        %h4.prepend-top-20
          最近活动
        .content_list{ data: { href: user_path } }
        = spinner

      #groups.tab-pane
        -# This tab is always loaded via AJAX

      #contributed.tab-pane
        -# This tab is always loaded via AJAX

      #projects.tab-pane
        -# This tab is always loaded via AJAX

      #snippets.tab-pane
        -# This tab is always loaded via AJAX

    .loading-status
      = spinner

:javascript
  var userProfile;

  userProfile = new gl.User({
    action: "#{controller.action_name}"
  });
